
I was in a fight with my ex-husband. When I wouldn't give him money for drugs, he choked me to death. I did not know I had been choked until I was revived.

While I was out, there was a man standing behind me. I could see myself on the bed looking back at him. I asked who he was and all he said was, 'It is not your time. You have to go back. You have things to do. I will be here to help you now that you see me.' I asked his name. He said his name is Justin. He told me to go back now and he will come again.

Then I was jumping up to turn to him. I asked my ex, ‘Where did he go?’ He said, ‘No one was there.’ He said he was sorry and he didn't mean to hurt me. But I could not find Justin. It was strange that I remembered him. Yes, I did see him again. A few weeks later, I had gone to bed and the next thing I know I was walking with him. He told me things that were going to happen. He said that John, my husband at the time was going to leave. He told me that my daughter would end up in jail.

A few months later, my husband did leave. When he came back, he was my ex-husband. Justin told me that in my life I had to be there when the world ended and that he would be here to help. It all happened. He said to call when I need him for now. But every time He wants to talk to me, strange things happen. This has happened maybe 5 times now. Do not think this is strange: He is not alien. He always looks human to me. This is what happens: I go to sleep and not even sleeping, I feel my body as if it is going someplace. Then he is there.

One time, He said, ‘Get up; you need to go right now. Get home. She will be hit by a car but okay. Anyway get up go home.’ When I reached for the phone, it rings and it is my daughter telling me my granddaughter got hit by a car. BUT she is okay and she wants you here. This has happened a lot to me. Another time, he said that he had known me for a long time. He was asking me to remember, but I couldn't. Until one day, something had set a spark of in my brain. Back in 1981, my sister said to me, ‘Thank God you called me to tell me to get my son out of his crib or he would have died.’ The roof of her house caved in on her son's room. I didn't call her, so I checked redial. Sure enough, there it was her number. When I thought about what I was dreaming, there was Justin. The visitations started all over the day my ex-husband choked me. I have not seen Justin because now I fight to stay here and not go with him.
